Перейти к содержанию
Mikhail058

Какая версия версия лучше для инет магазина 1.5 или 2

Рекомендуемые сообщения

Программист советует версию 1.5 так как 2 еще сырая и многих модулей и тд нет, у него уже 1.5 фаршированная, доработанная ими самими. Другие говорят что версия 2 лучше чем 1.5. Кого слушать не знаю! Может вы посоветуете что нибудь?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Программист советует версию 1.5 так как 2 еще сырая и многих модулей и тд нет, у него уже 1.5 фаршированная, доработанная ими самими. Другие говорят что версия 2 лучше чем 1.5. Кого слушать не знаю! Может вы посоветуете что нибудь?

Он не прав

Только 2.x

На 1.5.x уже все разработчики давно забили

К примеру 2.1 вполне хорошая и стабильная версия

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Он не прав

Только 2.x

На 1.5.x уже все разработчики давно забили

К примеру 2.1 вполне хорошая и стабильная версия

Спасибо за ответ! а на продажи и быстродействие повлияет если на 1.5 перейдем? и в каком смысле устарела, что в ней не так

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Программист советует версию 1.5 так как 2 еще сырая и многих модулей и тд нет, у него уже 1.5 фаршированная, доработанная ими самими. Другие говорят что версия 2 лучше чем 1.5. Кого слушать не знаю! Может вы посоветуете что нибудь?

 

могу посоветовать..

не связываться с этим "программистом"

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

могу посоветовать..

не связываться с этим "программистом"

Вот я ему тоже так сказал, а он не поверил мне :-D

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Он не прав Только 2.x На 1.5.x уже все разработчики давно забили К примеру 2.1 вполне хорошая и стабильная версия

 

Я бы не был так категоричен. Если одним из основных требований есть наименьшая стоимость, то в большинстве случае магазин на 1.5 будет дешевле.

 

а модулей для 2-ки, действительно, можно не найти.  Исходите из реальных потребностей.

 

Приведу пример. 

Пришлось искать эквайринг для двух японских банков.  Модули для 1.5-й ветки есть, а для 2-ки нету. что прикажете делать?  Написать самому? Есть одна загвоздка - документация на японском.

 

Также не смог найти модуль для рассылки уведомлений покупателям с приглашением оставить отзыв о купленных товарах. Есть для 2-ки?

 

Много чего не смог найти для 2-ки.

 

 

 

Если для вашего будущего магазина есть необходимые модули, то делайте на 2-ке.

Но я был в свое время неожиданно удивлен, что на некоторые модули для 2-ки авторы модулей установили двойную цену по сравнению с модулями для 1.5-ки.

 

 

Еще один лишний геморрой для разработчика - это ioncube.  На 2-ке чуть ли не повально все перешли на него.

Доходит до абсурда порой. когда автор пишет на странице покупки, что "лицензируется на домен", а на деле идет привязка еще к IP дополнительно.

 

делал я разработку на локалке.  Честно купленный шаблон. IP у меня меняется динамически провайдером. Как только он меняется, то шаблон перестает работать, блокируется в админке с сообщением связаться с автором.

 

Связался я с автором.  оказывается, что нужно каждый раз обращаться к автору чтобы он вносил новый IP (если их немного).  А если связь с сервером автора шаблона отсутствует, то шаблон в админке блокируется.  Вот чудеса защиты!

 

Я всего навсего спросил автора о том как же в таком случае вести разработку на локальной машине? нужен постоянный интернет и связь с сервером лицензий, а еще постоянный IP.

 

на что получил довольно агрессивный ответ.

 

Вв работаете с версткой и витриной? Работайте. Шаблон не перестанет на витрине отображаться, если айпи будет меняться хоть раз в секунду. И уж никак не вам решать, как мне строить защиту шаблона и что считать ошибкой, а что нет.

 

 

да и после переноса сайта с локалки на сервер шаблон тоже перестал работать.

 

А когда таких защищенных модулей в связке десяток на один сайт - то это уже особенный геморрой.  Периодически слетают эти лицензии, и пока с автором не свяжешься, то не поймешь, что делать.

Изменено пользователем sitecreator
  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Я бы не был так категоричен. Если одним из основных требований есть наименьшая стоимость, то в большинстве случае магазин на 1.5 будет дешевле.

 

а модулей для 2-ки, действительно, можно не найти.  Исходите из реальных потребностей.

 

Приведу пример. 

Пришлось искать эквайринг для двух японских банков.  Модули для 1.5-й ветки есть, а для 2-ки нету. что прикажете делать?  Написать самому? Есть одна загвоздка - документация на японском.

 

Также не смог найти модуль для рассылки уведомлений покупателям с приглашением оставить отзыв о купленных товарах. Есть для 2-ки?

 

Много чего не смог найти для 2-ки.

 

 

 

Если для вашего будущего магазина есть необходимые модули, то делайте на 2-ке.

Но я был в свое время неожиданно удивлен, что на некоторые модули для 2-ки авторы модулей установили двойную цену по сравнению с модулями для 1.5-ки.

 

 

Еще один лишний геморрой для разработчика - это ioncube.  На 2-ке чуть ли не повально все перешли на него.

Доходит до абсурда порой. когда автор пишет на странице покупки, что "лицензируется на домен", а на деле идет привязка еще к IP дополнительно.

 

делал я разработку на локалке.  Честно купленный шаблон. IP у меня меняется динамически провайдером. Как только он меняется, то шаблон перестает работать, блокируется в админке с сообщением связаться с автором.

 

Связался я с автором.  оказывается, что нужно каждый раз обращаться к автору чтобы он вносил новый IP (если их немного).  А если связь с сервером автора шаблона отсутствует, то шаблон в админке блокируется.  Вот чудеса защиты!

 

Я всего навсего спросил автора о том как же в таком случае вести разработку на локальной машине? нужен постоянный интернет и связь с сервером лицензий, а еще постоянный IP.

 

на что получил довольно агрессивный ответ.

 

 

да и после переноса сайта с локалки на сервер шаблон тоже перестал работать.

 

А когда таких защищенных модулей в связке десяток на один сайт - то это уже особенный геморрой.  Периодически слетают эти лицензии, и пока с автором не свяжешься, то не поймешь, что делать.

 

Ну это уже лажа девелопера, что он не сделал проверку на локальный хост.

Подскажите ему, возможно добавит проверку на локальный хост, поскольку проблема довольно распространенная.

Изменено пользователем kagan

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.